E-MailRelay

Public Types | Public Member Functions | List of all members
GNet::LineStoreIterator Class Reference

An iterator class for GNet::LineStore. More...

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = char
using | difference_type = std::ptrdiff_t
using | pointer = char *
using | reference = char

## Public Member Functions
| LineStoreIterator (const LineStore &line_store, bool end=false)
| LineStoreIterator (const LineStoreIterator &)=default
| LineStoreIterator (LineStoreIterator &&) noexcept=default
LineStoreIterator & | operator= (const LineStoreIterator &)=default
LineStoreIterator & | operator= (LineStoreIterator &&) noexcept=default
LineStoreIterator & | operator++ ()
LineStoreIterator & | operator-- ()
bool | operator== (const LineStoreIterator &other) const
bool | operator!= (const LineStoreIterator &other) const
bool | operator< (const LineStoreIterator &other) const
bool | operator<= (const LineStoreIterator &other) const
bool | operator> (const LineStoreIterator &other) const
bool | operator>= (const LineStoreIterator &other) const
char | operator* () const
char | operator[] (std::size_t n) const
void | operator+= (std::ptrdiff_t n)
void | operator-= (std::ptrdiff_t n)
std::ptrdiff_t | distanceTo (const LineStoreIterator &other) const
std::size_t | pos () const

## Detailed Description

An iterator class for GNet::LineStore.

Definition at line 37 of file glinestore.cpp.

## Member Typedef Documentation

## ◆ difference_type

using GNet::LineStoreIterator::difference_type = std::ptrdiff_t

Definition at line 43 of file glinestore.cpp.

## ◆ iterator_category

using GNet::LineStoreIterator::iterator_category = std::bidirectional_iterator_tag

Definition at line 41 of file glinestore.cpp.

## ◆ pointer

using GNet::LineStoreIterator::pointer = char*

Definition at line 44 of file glinestore.cpp.

## ◆ reference

using GNet::LineStoreIterator::reference = char

Definition at line 45 of file glinestore.cpp.

## ◆ value_type

using GNet::LineStoreIterator::value_type = char

Definition at line 42 of file glinestore.cpp.

## Constructor & Destructor Documentation

## ◆ LineStoreIterator()

GNet::LineStoreIterator::LineStoreIterator | ( | const LineStore & | line_store,
|  | bool | end = `false`
| ) |  |
| inline explicit

Definition at line 48 of file glinestore.cpp.

## Member Function Documentation

## ◆ distanceTo()

std::ptrdiff_t GNet::LineStoreIterator::distanceTo | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 115 of file glinestore.cpp.

## ◆ operator!=()

bool GNet::LineStoreIterator::operator!= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 71 of file glinestore.cpp.

## ◆ operator*()

char GNet::LineStoreIterator::operator* | ( |  | ) | const
| inline

Definition at line 91 of file glinestore.cpp.

## ◆ operator++()

LineStoreIterator & GNet::LineStoreIterator::operator++ | ( |  | ) |
| inline

Definition at line 57 of file glinestore.cpp.

## ◆ operator+=()

void GNet::LineStoreIterator::operator+= | ( | std::ptrdiff_t | n | ) |
| inline

Definition at line 101 of file glinestore.cpp.

## ◆ operator--()

LineStoreIterator & GNet::LineStoreIterator::operator-- | ( |  | ) |
| inline

Definition at line 62 of file glinestore.cpp.

## ◆ operator-=()

void GNet::LineStoreIterator::operator-= | ( | std::ptrdiff_t | n | ) |
| inline

Definition at line 108 of file glinestore.cpp.

## ◆ operator<()

bool GNet::LineStoreIterator::operator< | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 75 of file glinestore.cpp.

## ◆ operator<=()

bool GNet::LineStoreIterator::operator<= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 79 of file glinestore.cpp.

## ◆ operator==()

bool GNet::LineStoreIterator::operator== | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 67 of file glinestore.cpp.

## ◆ operator>()

bool GNet::LineStoreIterator::operator> | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 83 of file glinestore.cpp.

## ◆ operator>=()

bool GNet::LineStoreIterator::operator>= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 87 of file glinestore.cpp.

## ◆ operator[]()

char GNet::LineStoreIterator::operator[] | ( | std::size_t | n | ) | const
| inline

Definition at line 96 of file glinestore.cpp.

## ◆ pos()

std::size_t GNet::LineStoreIterator::pos | ( |  | ) | const
| inline

Definition at line 122 of file glinestore.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/glinestore.cpp